This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 827129 - Errai: Missing transitive depenencies
Errai: Missing transitive depenencies
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Errai, Maven (Show other bugs)
2.0.0.ER7
Unspecified Unspecified
high Severity high
: ---
: 2.0.0.ER8
Assigned To: Pavel SLegr
Karel Piwko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 13:07 EDT by Karel Piwko
Modified: 2012-06-22 03:32 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-22 03:32:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Piwko 2012-05-31 13:07:09 EDT
Following transitive dependencies are missing from Errai:


* org.jfrog.jade.plugins.common:jade-plugin-common:jar:1.3.8
     in (org.jboss.errai.reflections:reflections-maven:jar:2.0.0.Final-redhat-1,)
* org.jfrog.maven.annomojo:maven-plugin-anno:jar:1.4.0
     in (org.jboss.errai.reflections:reflections-maven:jar:2.0.0.Final-redhat-1,)
Comment 1 Marek Novotny 2012-06-05 07:21:45 EDT
We need to check with Errai team if we can upgrade or remove them completely.

org.jfrog.maven.annomojo:maven-plugin-anno:jar:1.4.1 is available in Maven Central. that can be upgraded.

I am not sure with org.jfrog.jade.plugins.common:jade-plugin-common:jar:1.3.8, what is purpose and where is the repository.
Comment 2 Jonathan Fuerth 2012-06-05 16:23:28 EDT
Hi Marek,

I searched our project for those dependencies, and they appear to be from

errai/errai-reflections/reflections-maven/pom.xml

We are not using this module (reflections-maven) at all, so please feel free to drop it completely.
Comment 5 Pavel SLegr 2012-06-06 02:32:17 EDT
Thanks Jonathan, 

I will drop errai/errai-reflections/reflections-maven module out of productized errai

Pavel
Comment 6 Pavel SLegr 2012-06-06 03:28:13 EDT
droped in wfk-prod-2.0.1.Final
Comment 7 Karel Piwko 2012-06-12 10:52:23 EDT
Verified in WFK ER8.

Note You need to log in before you can comment on or make changes to this bug.